function CreatePetButton(pID)
    local x, y;
    if(pID == 1) then
        x = 75;
        y = -15;
    elseif (pID == 2) then
        x = 75;
        y = -76;
    elseif (pID == 3) then
        x = 75;
        y = -137;
    end
    local pn = "PetBattleJunkieFramePet" .. pID
    local pet = CreateFrame("BUTTON",pn .. "Button", PetBattleJunkieFrame)
    pet:SetFrameStrata("HIGH")
    pet:SetWidth(48)
    pet:SetHeight(48)
    local t = pet:CreateTexture(pn .. "tex","HIGH")
    t:SetAllPoints(pet)
    pet.texture = t
    local n = pet:CreateFontString(pn .. "name", "OVERLAY")
    n:SetFont("Fonts\\FRIZQT__.TTF",16)
    local pbutton = getglobal ("PetBattleJunkieFramePet" .. pID .. "Button")
    n:SetPoint("TOPLEFT",pbutton, "TOPRIGHT",10,0)
    pet:Hide()
    pet:SetPoint("TOPLEFT", PetBattleJunkieFrame, "TOPLEFT",x,y)
    local statusbar = CreateFrame("StatusBar", pn .. "hp", pbutton)
    statusbar:SetPoint("TOPLEFT", pbutton, "TOPRIGHT", 10,-17)
    statusbar:SetWidth(240)
    statusbar:SetHeight(15)
    statusbar:SetMinMaxValues(0,100)
    statusbar:SetValue(100)
    statusbar:SetStatusBarTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
    statusbar:GetStatusBarTexture():SetHorizTile(false)
    statusbar:GetStatusBarTexture():SetVertTile(false)
    statusbar:SetStatusBarColor(0, 0.65, 0)
    statusbar.bg = statusbar:CreateTexture(nil, "BACKGROUND")
    statusbar.bg:SetTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
    statusbar.bg:SetAllPoints(true)
    statusbar.bg:SetVertexColor(0, 0.35, 0)
    statusbar.value = statusbar:CreateFontString(nil, "OVERLAY")
    statusbar.value:SetPoint("CENTER", statusbar, "CENTER", 0, 0)
    statusbar.value:SetFont("Fonts\\FRIZQT__.TTF", 14, "OUTLINE")
    statusbar.value:SetJustifyH("LEFT")
    statusbar.value:SetShadowOffset(1, -1)
    statusbar.value:SetTextColor(0, 1, 0)

    local pettypeB = statusbar:CreateTexture(pn .. "typeBubble","ARTWORK");
    pettypeB:SetSize(32,32);
    pettypeB:SetPoint("BOTTOMRIGHT",statusbar,40,-16);
    statusbar.texture = lvl;
    local pettype = statusbar:CreateTexture(pn .. "type","OVERLAY");
    pettype:SetSize(32,32);
    pettype:SetPoint("BOTTOMRIGHT",statusbar,40,-16);

    local statusbar = CreateFrame("StatusBar", pn .. "xp", pbutton)
    statusbar:SetPoint("TOPLEFT", pbutton, "TOPRIGHT", 10,-32 )
    statusbar:SetWidth(240)
    statusbar:SetHeight(15)
    statusbar:SetMinMaxValues(0,100)
    statusbar:SetValue(100)
    statusbar:SetStatusBarTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
    statusbar:GetStatusBarTexture():SetHorizTile(false)
    statusbar:GetStatusBarTexture():SetVertTile(false)
    statusbar:SetStatusBarColor(0, 0.39, 0.88)
    statusbar.bg = statusbar:CreateTexture(nil, "BACKGROUND")
    statusbar.bg:SetTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
    statusbar.bg:SetAllPoints(true)
    statusbar.bg:SetVertexColor(0.0, 0.2, 0.38)
    statusbar.value = statusbar:CreateFontString(nil, "OVERLAY")
    statusbar.value:SetPoint("CENTER", statusbar, "CENTER", 0, 0)
    statusbar.value:SetFont("Fonts\\FRIZQT__.TTF", 14, "OUTLINE")
    statusbar.value:SetJustifyH("LEFT")
    statusbar.value:SetShadowOffset(1, -1)
    statusbar.value:SetTextColor(1, 1, 1)

    local pborder = CreateFrame("BUTTON",pn .. "Border" , pbutton)
    pborder:SetFrameStrata("HIGH")
    pborder:SetWidth(51)
    pborder:SetHeight(51)
    pborder:SetBackdrop({
        --bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
        edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",
        tile=1, tileSize=16, edgeSize=16,
        insets={left=4, right=4, top=4, bottom=4}
    })
    pborder:SetPoint("TOPLEFT",pbutton,"TOPLEFT",-1,1)
    pborder:RegisterForClicks("LeftButtonUp","RightButtonUp")
    pborder:SetScript("OnClick", function(self,button)
        if button == "LeftButton" then
            ToggleCollectionsJournal(2)
        end
        if button == "RightButton" then
            C_PetJournal.SummonPetByGUID(C_PetJournal.GetPetLoadOutInfo(pID))
        end
    end)
    local lvl = pborder:CreateTexture(pn .. "lvl","OVERLAY")
    lvl:SetSize(26,26);
    lvl:SetPoint("BOTTOMRIGHT",pborder,5,-5);
    pborder.texture = lvl;

    local lvlText = pborder:CreateFontString(pn .. "lvlText", "OVERLAY");
    lvlText:SetFont("Fonts\\FRIZQT__.TTF", 13, "OUTLINE");
    --lvlText:SetAllPoints(lvl);
    lvlText:SetPoint("CENTER",lvl,2,0);
end

function UpdatePetFrames()
    for i=1, 3 do
        local petID = C_PetJournal.GetPetLoadOutInfo(i)
        if petID ~= nil then
            local _, customName, level, xp, maxXP, _,_, Name, peticon, petType  = C_PetJournal.GetPetInfoByPetID(petID);
            local health, maxHealth, _, _, rarity = C_PetJournal.GetPetStats(petID);
            local p = getglobal("PetBattleJunkieFramePet" .. i .. "Button")
            local pb = getglobal("PetBattleJunkieFramePet" .. i .. "Border")
            local t = getglobal("PetBattleJunkieFramePet" .. i .. "tex")
            local lvl = getglobal("PetBattleJunkieFramePet" .. i .. "lvl")
            local n = getglobal("PetBattleJunkieFramePet" .. i .. "name")
            local lvlText = getglobal("PetBattleJunkieFramePet" .. i .. "lvlText");
            local php = getglobal("PetBattleJunkieFramePet" .. i .. "hp")
            local pxp = getglobal("PetBattleJunkieFramePet" .. i .. "xp")
            local typeB = getglobal("PetBattleJunkieFramePet" .. i .. "typeBubble");
            local type = getglobal("PetBattleJunkieFramePet" .. i .. "type");
            if peticon ~= nil then
                pb:SetHighlightTexture("Interface\\Buttons\\ButtonHilight-Square");
                t:SetTexture(peticon)
                lvl:SetTexture("Interface\\PetBattles\\PetJournal")
                lvl:SetTexCoord(0.06835938,0.10937500,0.02246094,0.04296875)
                typeB:SetTexture("Interface\\PetBattles\\PetJournal")
                typeB:SetTexCoord(0.06835938,0.10937500,0.02246094,0.04296875)
                type:SetTexture("Interface\\PetBattles\\PetIcon-"..PET_TYPE_SUFFIX[petType]);
                type:SetTexCoord(0.79687500,0.49218750,0.50390625,0.65625000);
                pb:SetBackdropBorderColor(ITEM_QUALITY_COLORS[rarity-1].r, ITEM_QUALITY_COLORS[rarity-1].g, ITEM_QUALITY_COLORS[rarity-1].b)
                php:SetMinMaxValues(0,maxHealth)
                php:SetValue(health)
                php.value:SetText(health.."/"..maxHealth)
                pxp:SetMinMaxValues(0,maxXP)
                pxp:SetValue(xp)
                pxp.value:SetText(xp.."/"..maxXP)
                lvlText:SetText("|cFFFFD700" .. level .. "|r");
                p:Show();

                if customName ~= nil then
                    cn = customName
                else
                    if strlen(Name) > 40 then
                        cn = string.sub(Name, 1, 25) .. "..."
                    else
                        cn = Name
                    end
                end
                n:SetText(cn)
            end
        end
    end
    if (pbjSettings.slideVisible) then
        PetBattleJunkieFrameToggleButton:GetNormalTexture():SetTexCoord(0.5, 1, 0, 1);
        PetBattleJunkieFrame:SetPoint("LEFT",UIParent,-10,pbjSettings.anchorY);
    else
        PetBattleJunkieFrameToggleButton:GetNormalTexture():SetTexCoord(0, 0.5, 0, 1);
        PetBattleJunkieFrame:SetPoint("LEFT",UIParent,-414,pbjSettings.anchorY);
    end

end